CHICKEN-PROFILE(1)

NAME
chicken-profile - program that generates a human readable report from profiling output of Scheme code compiled with the CHICKEN compiler

SYNOPSIS
chicken-profile [ filename | option ... ]

OPTIONS

-sort-by-calls
    Sort output by call frequency.

-sort-by-time
    Sort output by procedure execution time.

-sort-by-avg
    Sort output by average procedure execution time.

-sort-by-name
    Sort output alphabetically by procedure name.

-no-unused
    Remove procedures that are never called.

-help
    Show usage information.

DESCRIPTION
chicken-profile reads in profiling information generated by Scheme programs compiled with the -profile option, and generates a table listing function names and their execution times.

BUGS
Submit bug reports by e-mail to felix@call-with-current-continuation.org

AUTHOR
csc was written by Felix L. Winkelmann (felix@call-with-current-continuation.org).

SEE ALSO
chicken(1) chicken-config(1) csc(1)